1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

FFVII Crisis Core Limited Edition Firmware

Discussion in 'Sony PSP - Mod and firmware discussion' started by xenoph, Sep 12, 2007.

  1. xenoph

    xenoph Member

    Joined:
    Feb 10, 2005
    Messages:
    82
    Likes Received:
    0
    Trophy Points:
    16
    Does anybody know which firmware is coming with the new Final Fantasy VII Crisis Core limited Edition PSP Slim?

    'cause I want to buy this, but I want to make sure I'll be able to hack it.

    Thanks,

    XP
     
  2. DJchemist

    DJchemist Regular member

    Joined:
    Dec 4, 2006
    Messages:
    207
    Likes Received:
    0
    Trophy Points:
    26
    3.60, or if ur lucky, 3.70 :)
    haha...
    in time...
    just because its a certin type of psp Look...
    dosn;t mean the internals will be any different then the
    other PSP S&L's so...
    just stay tuned for a downgrader for the normal S&L's :)
     
  3. PDOWNZ

    PDOWNZ Regular member

    Joined:
    Dec 6, 2006
    Messages:
    327
    Likes Received:
    0
    Trophy Points:
    26
    i imported it and it works fine on 3.52m33
     
  4. BrewAgent

    BrewAgent Regular member

    Joined:
    Jul 29, 2007
    Messages:
    175
    Likes Received:
    0
    Trophy Points:
    26
    I wish they were being released in N.America.. :(
     
  5. xenoph

    xenoph Member

    Joined:
    Feb 10, 2005
    Messages:
    82
    Likes Received:
    0
    Trophy Points:
    16
    So it's 3.52? Is that good or bad?

    I thought 3.52 was unhackable or something.
     
  6. PDOWNZ

    PDOWNZ Regular member

    Joined:
    Dec 6, 2006
    Messages:
    327
    Likes Received:
    0
    Trophy Points:
    26
    FFVII -Crsis Core requires 3.51 minimum firmware but I have 3.52"M33" so i can play the JAP Iso
     
  7. BrewAgent

    BrewAgent Regular member

    Joined:
    Jul 29, 2007
    Messages:
    175
    Likes Received:
    0
    Trophy Points:
    26
    You can downgrade anything with pandora's battery.

    ...... anyone wanna bring one to Toronto if they're visiting Japan for me...... :)
     
  8. Smurff

    Smurff Regular member

    Joined:
    Jun 12, 2005
    Messages:
    3,410
    Likes Received:
    0
    Trophy Points:
    46
    people are playing that jap XXVI Crisis Core on 3.40OEA w/o problems.
     
  9. 1reflex

    1reflex Member

    Joined:
    Sep 13, 2007
    Messages:
    27
    Likes Received:
    0
    Trophy Points:
    11
    im having trouble playing it on 3.52 mm3-4, is there a place that shows people playing it on 3.40 oe, or how to install it correctly and what your config has to be?
     
  10. xenoph

    xenoph Member

    Joined:
    Feb 10, 2005
    Messages:
    82
    Likes Received:
    0
    Trophy Points:
    16
    So the only way to downgrade a 3.52 is with Pandora's battery or can I also do it manually?

    Edit: and you can import from Playasia or Yesasia.
     
    Last edited: Sep 14, 2007
  11. sicdude

    sicdude Regular member

    Joined:
    Jun 12, 2013
    Messages:
    2,861
    Likes Received:
    0
    Trophy Points:
    46
    no the only way is pandora's battery
     
  12. BrewAgent

    BrewAgent Regular member

    Joined:
    Jul 29, 2007
    Messages:
    175
    Likes Received:
    0
    Trophy Points:
    26
    I'll check.. but it'll prob cost me an arm and a leg..

    It's like $400+

    Wee bit outta my price range.. I don't get paid enough and I am charged too much for school! lol...... go communism? :|
     
    Last edited: Sep 14, 2007
  13. xenoph

    xenoph Member

    Joined:
    Feb 10, 2005
    Messages:
    82
    Likes Received:
    0
    Trophy Points:
    16
    hehe, actually I couldnt resist and I already ordered my CCFFVII LE PSP.
    It's on the mail and It'll be here in a few days...

    But now if I want to run homebrew, I will need to either buy a pandora's battery (I dont think I can buy this where I am) or buy a 1.5 psp from success-HK. I guess it's gonna cost me around $200+...

    Also, another question, let's say I dont mod my PSP and I want to buy US region 1 UMD games, can I play them with my 3.52 Jap psp??

    thanks
     
  14. sicdude

    sicdude Regular member

    Joined:
    Jun 12, 2013
    Messages:
    2,861
    Likes Received:
    0
    Trophy Points:
    46
    you can get a pandora from ebay
     
  15. BrewAgent

    BrewAgent Regular member

    Joined:
    Jul 29, 2007
    Messages:
    175
    Likes Received:
    0
    Trophy Points:
    26
    Yeah, you can play the games fine, it's just movies you'll have problems with.

    Also, you can get a used SONY battery from gamestop/EB for like $10, then all you need is a 256 mem card, which should be cheap too..
     
  16. xenoph

    xenoph Member

    Joined:
    Feb 10, 2005
    Messages:
    82
    Likes Received:
    0
    Trophy Points:
    16

    yeah, I can get a battery and a mem card, but i dont have access to a 1.5 PSP :(
     

Share This Page